{
    "version": "2.0.0",
    "tasks": [
        {
            "type": "npm",
            "script": "start-debug",
            "group": "build",
            "label": "npm: start-debug",
            "detail": "ng serve idt_app --configuration=development",
            "presentation": {
                "echo": true,
                "reveal": "always",
                "focus": false,
                "panel": "shared",
                "showReuseMessage": true,
                "clear": false
            },
            "problemMatcher": [],
            "options": {
                "cwd": "${workspaceFolder}"
            }
        },
        {
            "type": "shell",
            "label": "🚀 Start Angular Debug Server",
            "command": "ng",
            "args": [
                "serve",
                "idt_app",
                "--configuration=development",
                "--port=4200",
                "--host=localhost"
            ],
            "group": {
                "kind": "build",
                "isDefault": true
            },
            "presentation": {
                "echo": true,
                "reveal": "always",
                "focus": false,
                "panel": "shared",
                "showReuseMessage": true,
                "clear": true
            },
            "problemMatcher": [
                "$tsc-watch"
            ],
            "options": {
                "cwd": "${workspaceFolder}"
            }
        }
    ]
} 